> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate

> Return Translated Text and the source language if it wasn't specified



## OpenAPI

````yaml /openapi/x.openapi.json post /v1/data/x/translate
openapi: 3.0.0
info:
  title: agntdata X (Twitter) API
  description: >-
    Introducing "The Old Bird" API, a robust Twitter API designed to unlock
    valuable Twitter data effortlessly. With this API, you can access tweet
    details, user followers, followings, post engagements, and more. Explore
    top, latest, videos, photos, and people through our comprehensive search
    functionality. Retrieve user-specific information, including tweets,
    replies, media, likes, and profile details by username or ID.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Search
    description: ''
  - name: Hashtag
    description: ''
  - name: Tweet
    description: ''
  - name: Lists
    description: ''
  - name: Trends
    description: ''
  - name: Translation
    description: Translate Service
  - name: AI
    description: A set of AI related services
paths:
  /v1/data/x/translate:
    post:
      tags:
        - Translation
      summary: Translate
      description: Return Translated Text and the source language if it wasn't specified
      operationId: Translate_post__translate
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                dest:
                  type: string
                text:
                  type: string
            example:
              dest: en
              text: >-
                Moi je vous dis que la table ronde du #PPF @ParisPeaceForum
                “Navigating the #AI revolution” où il y avait notamment @ylecun
                (Meta) @BradSmi (Microsoft) et @ianbremmer est assurément à
                réécouter en replay. (Oui, cela a un peu clashé).
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post_x_translate_Response'
              example:
                destination_language: en
                original_language: fr
                original_text: >-
                  Moi je vous dis que la table ronde du #PPF @ParisPeaceForum
                  “Navigating the #AI revolution” où il y avait notamment
                  @ylecun (Meta) @BradSmi (Microsoft) et @ianbremmer est
                  assurément à réécouter en replay. (Oui, cela a un peu clashé).
                translated_text: >-
                  I tell you that the round table of the #PPF @ParisPeaceForum
                  “Navigating the #AI revolution” where there was notably
                  @ylecun (Meta) @BradSmi (Microsoft) and @ianbremmer is
                  certainly worth listening to on replay.(Yes, it clashed a
                  bit).
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Post_x_translate_Response:
      type: object
      properties:
        destination_language:
          type: string
        original_language:
          type: string
        original_text:
          type: string
        translated_text:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````